On 07/27/2014 05:26 PM, Guang Chen wrote:
I use brew upgrade git to this version on OSX. And when I use git add -i, it 
Which version did you use before?
Was it installed with brew as well ?

Can't locate Git.pm in @INC (@INC contains: @@@/git/2.0.3/lib/perl5/site_perl 
/Library/Perl/5.16/darwin-thread-multi-2level /Library/Perl/5.16 
/Network/Library/Perl/5.16 /Library/Perl/Updates/5.16.2 
/System/Library/Perl/5.16/darwin-thread-multi-2level /System/Library/Perl/5.16 
/System/Library/Perl/Extras/5.16 .) at 
/usr/local/Cellar/git/2.0.3/libexec/git-core/git-add--interactive line 7.
BEGIN failed--compilation aborted at 
/usr/local/Cellar/git/2.0.3/libexec/git-core/git-add--interactive line 7.
Do you have Git.pm on your disc, somewhere under /usr/local/Cellar/git ?

Which perl do you have, (may be more than 1?)
I tend to have different perl installations under Mac OS, whch needs
tweeking in the PATH, to have the "right one" in the PATH before e.g. the
one that comes with Mac OS.
(Or write a wrapper script that sets up the PATH and then calls git)

What does "type perl" in a command window say?

To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majord...@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Reply via email to